Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.schema.binding
Class DeserializationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.xml.schema.binding.DeserializationException

All Implemented Interfaces:
  Serializable, weblogic.utils.NestedThrowable

    public class DeserializationException

extends weblogic.utils.NestedException

A `DeserializationException` is thrown if an error occurs during deserializtion.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`DeserializationException()` Constructs a `DeserializationException` with no specified detail message.
`DeserializationException(String s)` Constructs a `DeserializationException` with the specified detail message.
`DeserializationException(String s, Throwable t)` Constructs a `DeserializationException` with the specified detail message and the nested error respresented by t.
`DeserializationException(Throwable t)` Constructs a `DeserializationException` with the nested error respresented by t.

Method Summary

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeserializationException

    public DeserializationException()

  Constructs a `DeserializationException` with no specified detail message.

### DeserializationException

    public DeserializationException(String s)

  Constructs a `DeserializationException` with the specified detail message.

  Parameters:
    `s` - the detail message

### DeserializationException

    public DeserializationException(String s,
                                    Throwable t)

  Constructs a `DeserializationException` with the specified detail message and the nested error respresented by t.

  Parameters:
    `s` - the detail message
    `t` - the nested error

### DeserializationException

    public DeserializationException(Throwable t)

  Constructs a `DeserializationException` with the nested error respresented by t.

  Parameters:
    `s` - the detail message
    `t` - the nested error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD